#ifndef INCLUDED_CIDR_
#define INCLUDED_CIDR_

#include <ostream>
#include <string>

class Cidr
{
    friend std::ostream &operator<<(std::ostream &out, Cidr const &cidr);

    bool d_isCidr;                          // d_from is already a cidr range
    std::string d_from;                     // the from CIDR address 
    
    size_t d_first;
    size_t d_last;

    public:
        Cidr(std::string const &range);     // the netrange found by whois

    private:
        static size_t binary(std::string const &address);
        size_t getMask() const;
        std::ostream &insert(std::ostream &out) const;
};
        
#include "cidr.f"

#endif
