#ifndef INCLUDED_OPTIONS_
#define INCLUDED_OPTIONS_

#include <string>
#include <memory>

#include <bobcat/argconfig>

namespace std
{
    class error_code;
}

class Options
{
    FBB::ArgConfig &d_arg;
    std::string d_received;
    bool d_cls;

    static std::string s_base;                          // in data.cc
    static char const s_configFile[];
    static std::string s_configDir;  // the path to the config dir, ends in /
    static std::error_code s_ec;
    static std::unique_ptr<Options> s_optionsPtr;

    public:
        static void initialize(void (*usage)(std::string const &),
                                   char const *version, FBB::ArgConfig &arg);
        static Options &instance();

        bool cls() const;                                               // .f
        std::string const &received() const;                            // .f

        static void setBase(std::string &path);

    private:
        Options(void (*usage)(std::string const &),
                char const *version, FBB::ArgConfig &arg);

        void configFile();

        void setBase();
};

#include "options.f"
        
#endif
