//#define XERR
#include "options.ih"

void Options::setBase()
{
    char const *base = getenv("HOME");
    if (base == 0)
        throw Exception{} << "no `HOME' environment variable available";

    s_base = base;
    string canon = canonical(s_base, s_ec);
    if (s_ec)
        throw Exception{} << '`' << s_base << "' must be an absolute path";
    s_base = canon;
}

// static
void Options::setBase(string &path)
{
    if (path.front() == '~')            // replace ~ by s_base
        path.replace(0, 1, s_base);

    else if (path.front() != '/')       // or prefix config dir for plain
        path.insert(0, s_configDir);    // filenames 

    string absPath = canonical(path, s_ec);
    if (not exists(absPath, s_ec))
        throw Exception{} << "cannot find `" << path << '\'';

    if (s_ec or path.front() != '/')
        throw Exception{} << '`' << path << "' must be an absolute path";
}


