//                     usage.cc

#include "main.ih"

namespace {
char const info[] = R"_( [options]
Where:
    [options] - optional arguments (short options between parentheses):
        --cls <what>         - specify 'yes' (default) to clear the screen
                               before inspecting the e-mail. Otherwise 
                               (e.g., 'no') the screen is not cleared
        --config (-c) path   - the path to the filtermail configuration file.
                               (default: ~/etc/filtermail/config)
        --help (-h)          - provide this help
        --received (-r) spec - if a Received: header contains 'spec' then only
                               subsequent Received: headers are inspected. If
                               not specified or if no Received: header
                               contains 'spec' then all Received: headers are
                               inspected
        --version (-v)       - show version information and terminate
    
    The 'Received:' headers found in the e-mail are inspected. IP addresses
    found in those headers are passed to 'whois'. The header's content, the
    inspected IP address, its country and cidr-range are written to the
    std. output stream.

)_";

}

void usage(std::string const &progname)
{
    cout << "\n" <<
    progname << " by " << Icmake::author << "\n" <<
    progname << " V" << Icmake::version << " " << Icmake::years << "\n"
    "\n"
    "Usage: " << progname << info;
}


